Subject: bug#56210: 29.0.50; Keyboard macros do not trigger after-change-functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 28 Jun 2022 13:31:23 +0200

Eli Zaretskii <[email-masked]> writes:

>> I thought I had a `(should (null inhibit-modification-hooks))` at
>> some point in the past to rule that out, but I must not have had
>> that inside the `with-current-buffer-window'.
>> 
>> Perhaps the documentation should be updated to indicate that the
>> modification hooks are inhibited?  I can cook up a patch.
>
> Is it really a good idea?  In general, all the 'with-SOMETHING' macros
> are likely to inhibit modification hooks, since they erase the
> temporary buffers high and low.

It's really surprising that with-current-buffer-window does this -- it
sounds like a general variation on with-selected-window, but it's not:
It's meant to be used to pop up help buffers, and this should be
documented.

with-current-buffer/with-selected-window etc do not inhibit any hooks in
the buffers them handle.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no